- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Windowing::CAboutWindow Class Reference

Inheritance diagram for Exponent::GUI::Windowing::CAboutWindow:

List of all members.

## Detailed Description

ABout window that is set to the centre of the screen.

Date:
  05/02/2006

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CAboutWindow.hpp,v 1.5 2007/02/08 21:07:54 paul Exp

Definition at line 30 of file CAboutWindow.hpp.

## Public Member Functions

- CAboutWindow (const double alpha)
- CAboutWindow (const CSystemString &aboutWindowImagePath, const CString imageName, const double alpha)
- virtual void lostFocus (IWindow *window)
- virtual ~CAboutWindow ()

## Classes

- class CAboutRoot
    Replacement control root that closes the window on click. More...

## Constructor & Destructor Documentation

Exponent::GUI::Windowing::CAboutWindow::CAboutWindow | ( | const CSystemString & | aboutWindowImagePath,
|  | const CString | imageName,
|  | const double | alpha |
| ) |  |  |

Construction

Parameters:

  | aboutWindowImagePath | The path to the image to load as the about display
  | imageName | The name of the image (eg About.tga)
  | alpha | The alpha level for the window

Exponent::GUI::Windowing::CAboutWindow::CAboutWindow | ( | const double | alpha | ) |

Construction using an image from the image manager named "AboutWindow"

Parameters:

  | alpha | The alpha level for the window

virtual Exponent::GUI::Windowing::CAboutWindow::~CAboutWindow | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

virtual void Exponent::GUI::Windowing::CAboutWindow::lostFocus | ( | IWindow * | window | ) | `[virtual]`

Lost focus

Parameters:

  | window | The window that lost the focus

Reimplemented from Exponent::GUI::Windowing::CWindow.